- job:
    name: trigger-android-hikey-linaro-4.14-pmwg
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
        - build-discarder:
            days-to-keep: 60
            num-to-keep: 60
    parameters:
        - string:
            name: KERNEL_BRANCH
            default: 'android-hikey-linaro-4.14-pmwg'
    disabled: false
    node: triggers
    display-name: 'Trigger for PMWG Android 4.14 on HiKey'
    scm:
        - git:
            url: https://git.linaro.org/power/android.git
            refspec: +refs/heads/${KERNEL_BRANCH}:refs/remotes/origin/${KERNEL_BRANCH}
            name: origin
            branches:
                - origin/${KERNEL_BRANCH}
            skip-tag: true
            shallow-clone: false
            wipe-workspace: false
    triggers:
        - pollscm: 'H/5 * * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=12}'
    builders:
        - shell: |
            #!/bin/bash -e
            echo KERNEL_DESCRIBE=$(git describe --always) > lkft_parameters
            echo SRCREV_kernel=${GIT_COMMIT} >> lkft_parameters
            cat lkft_parameters
    publishers:
        - trigger-parameterized-builds:
            - project:
                - 'android-hikey-linaro-4.14-pmwg'
                - 'android-hikey960-linaro-4.14-pmwg'
              condition: SUCCESS
              property-file: lkft_parameters
        - email-ext:
            recipients: 'private-pmwg@lists.linaro.org, vishal.bhoj@linaro.org, fathi.boudra@linaro.org'
            content-type: text
            subject: '[Jenkins] Trigger: ${GIT_BRANCH} ${GIT_REVISION,length=12}'
            body: |
                Project: ${PROJECT_NAME}
                Build number: ${BUILD_NUMBER}
                Build status: ${BUILD_STATUS}
                Build URL: ${BUILD_URL}
                Console output: ${BUILD_URL}consoleText
                Git branch: ${GIT_BRANCH}
                Git commit: ${GIT_COMMIT}

                https://git.linaro.org/power/android.git/commit/?h=${KERNEL_BRANCH}&id=${GIT_COMMIT}
            attach-build-log: true
            always: true
